Check Translation Status
curl --request GET \
--url https://api.jogg.ai/v2/video_translate/{video_translate_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jogg.ai/v2/video_translate/{video_translate_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jogg.ai/v2/video_translate/{video_translate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"video_translate_id": "vt_123456",
"title": "Translated Video Title",
"status": "completed",
"url": "https://res.jogg.ai/translated_video.mp4",
"subtitle_url": "https://res.jogg.ai/subtitle.srt"
}
}Video
Check Translation Status
Get the current status and details of a video translation task
GET
/
v2
/
video_translate
/
{video_translate_id}
Check Translation Status
Get the current status and details of a video translation task.
Example Usage
curl --request GET \
--url 'https://api.jogg.ai/v2/video_translate/vt_123456' \
--header 'x-api-key: YOUR_API_KEY'
Related Guides
Translate Video
Translate videos
Video Translation Guide
Complete translation workflow
Authorizations
API key for authentication. Obtain your key from the JoggAI dashboard.
Path Parameters
Video translation task ID
Example:
"vt_123456"
Response
200 - application/json
Success
Business status code:
- 0 - Success
- 10104 - Record not found
- 10105 - Invalid API key
- 18020 - Insufficient credit
- 18025 - No permission to call APIs
- 40000 - Parameter error
- 50000 - System error
Example:
0
Response message
Example:
"Success"
Show child attributes
Show child attributes

